{if $mode == 'list'}
{foreach name=junk from=$junk item=junk}
<div class="box">
	<div class="boxhead">
		<h3>{$junk.title}</h3>
	</div>
	<div class="boxcontent">
		<p>
			<h3>{$junk.category}</h3>
			{$junk.description}
			{if $junk.donated_by != null}
			<br /><strong>Donated by:</strong>{$junk.donated_by}
			{/if}
		{if $session->loggedin}
		{if $admin || $junk.status=='junk'}
		<form action="{$url}" method="POST">
			<input type="hidden" name="item" value="{$junk.id}" />
			{if $junk.status=='junk'}
			{if $junk.requested_by==null}
			<input type="submit" name="action" value="Request" />
			{elseif ($junk.requested_by==$session->username || $admin) && $junk.taken_on==null}
			<input type="submit" name="action" value="Un-Request" />
			{/if}
			{if $admin}
			{if $junk.requested_by!=null && $junk.taken_on==null}
			<input type="submit" name="action" value="Take" />
			{elseif $junk.taken_on!=null}
			<input type="submit" name="action" value="Remove" />
			{elseif $junk.requested_by==null}
			<input type="submit" name="action" value="Not Junk" />
			{/if}
			{/if}
			{elseif $admin}
			<input type="submit" name="action" value="Junk" />
			{/if}
		</form>
		{/if}
		{/if}
		</p>
		{if $admin && $junk.requested_by==null}
			<div class="edit">
				<a href="{$componentpath}/Edit/{$junk.id}">Edit</a>
				<div class="clear"></div>
			</div>
		{/if}
	</div>
	<div class="boxfoot"><p>
	{if $junk.status!='junk'}
		Not Junk
	{elseif $junk.requested_by==null}
		Available
	{elseif $junk.taken_on==null}
		Requested by {$junk.requested_by} on {$junk.requested_on|date_format:"%e %b %Y"}
	{else}
		Taken by {$junk.requested_by} on {$junk.taken_on|date_format:"%e %b %Y"}
	{/if}
	</p></div>
</div>
{/foreach}
{if $admin}
	<div class="edit">
	       <a href="{$componentpath}/Add">Add</a>
	       <div class="clear"></div>
	</div>
{/if}
{elseif ($mode == 'edit' || $mode == 'add') && $admin}
<fieldset>	
	<legend>{if $mode=='edit'}Edit{else}New{/if} Item</legend>
	<form action="{$componentpath}" method="POST">
	<input type="hidden" name="id" value="{$item.id}" />
	<div class="row">
		<label for="title">Title*</label>
		<span class="textinput"><input type="text" name="title"{if $mode == 'edit'} value="{$item.title}"{/if} /></span>
	</div>
	<div class="row">
		<label for="category">Category*</label>
		<span class="textinput"><input type="text" name="category"{if $mode == 'edit'} value="{$item.category}"{/if} /></span>
	</div>
	<div class="row">
		<label for="description">Description</label>
		<span class="textinput"><textarea name="description" cols="25" rows="3">{if $mode == 'edit'}{$item.description}{/if}</textarea></span>
	</div>
	<div class="row">
		<label for="donated_by">Donated by</label>
		<span class="textinput"><input type="text" name="donated_by"{if $mode == 'edit'} value="{$item.donated_by}"{/if} /></span>
	</div>
	<div class="row">
		<label for="status">Status</label>
		<span class="textinput">
			<select name="status">
			{foreach name=statuses from=$statuses item=status}
			<option{if ($status == $item.status) && ($mode == 'edit')} selected="selected"{/if}>{$status}</option>
			{foreachelse}
			<option>unknown</option>
			{/foreach}
			</select>
		</span>
	</div>
	<div class="row">
		<span class="textinput"><input type="submit" name="{if $mode == 'edit'}update{else}add{/if}" value="{if $mode == 'edit'}Update{else}Add{/if}"  /></span>
	<div class="note row">* denotes require fields</div>
	</div>
	<div class="clear"></div>
	</form>
</fieldset>
{/if}
